# Generated by Django 3.2.14 on 2023-03-03 12:40

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('accounts', '0109_profile_feature'),
        ('document', '0105_defaultdocumentcreatorrolesetting_documentauthorteammembermapping'),
    ]

    operations = [
        migrations.CreateModel(
            name='SoWHourlyResourcesDescriptionMapping',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('vendor_name', models.CharField(max_length=200)),
                ('vendor_crm_id', models.PositiveIntegerField()),
                ('resource_description', models.CharField(max_length=500)),
                ('provider', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='hourly_resources_description_mapping', to='accounts.provider')),
            ],
        ),
        migrations.AddConstraint(
            model_name='sowhourlyresourcesdescriptionmapping',
            constraint=models.UniqueConstraint(fields=('provider', 'vendor_crm_id'), name='unique_vendor_description_mapping'),
        ),
    ]
